<?xml version="1.0" encoding="UTF-8"?>
<problem 
    version="1.0"
    id ="roi.day1.virus"
>
    <judging>
        <script type ="%ioi">
            <testset
                name ="preliminary"

                input-name  ="virus.in"
                output-name ="virus.out"
                input-href  ="preliminary/##"
                answer-href ="preliminary/##.a"

                time-limit ="2s"
                memory-limit ="268435456"
            >
                <test points ="0" comment="Первый тест из примера"/>
                <test points ="0" comment="Второй тест из примера"/>
            </testset>

            <testset
                name ="main"

                input-name  ="virus.in"
                output-name ="virus.out"
                input-href  ="tests/##"
                answer-href ="tests/##.a"

                time-limit ="2s"
                memory-limit ="268435456"
            >
            	<test-group
            		comment = "Подзадача 1. (1 &lt;= n, a, b &lt;= 200)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "25"
            	>
                    <test points = "0" comment = "Случайный тест, 1 вершина" />
                    <test points = "0" comment = "Случайный тест, 2 вершины" />
                    <test points = "0" comment = "Случайный тест, 3 вершины" />
                    <test points = "0" comment = "Случайный тест, 4 вершины" />
                    <test points = "0" comment = "Случайный тест, 17 вершин" />
                    <test points = "0" comment = "Случайный тест, 100 вершин" />
                    <test points = "0" comment = "Цепочка, 100 вершин" />
                    <test points = "0" comment = "Цепочка развёрнутая, 100 вершин" />
                    <test points = "0" comment = "&#xab;Зонтик&#xbb; первого типа, 100 вершин" />
                    <test points = "0" comment = "&#xab;Зонтик&#xbb; второго типа, 100 вершин" />
                    <test points = "0" comment = "Звезда, 100 вершин" />
                    <test points = "0" comment = "Звезда и инвертированная звезда, 100 вершин" />
                    <test points = "0" comment = "2-ичное и 3-ичное деревья, 100 вершин" />
                    <test points = "0" comment = "2-ичное и 4-ичное деревья, 100 вершин" />
                    <test points = "0" comment = "1703-ичное и 1333-ичное деревья, 100 вершин" />
                    <test points = "0" comment = "1000-ичное и 1000-ичное деревья, 100 вершин" />
                    <test points = "0" comment = "2 и 3 цепочек с общим корнем, 100 вершин" />
                </test-group>
            	<test-group
            		comment = "Подзадача 2. (1 &lt;= n, a, b &lt;= 2000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "25"
            	>
                    <test points = "0" comment = "Случайный тест, 231 вершин" />
                    <test points = "0" comment = "Случайный тест, 477 вершин" />
                    <test points = "0" comment = "Случайный тест, 2000 вершин" />
                    <test points = "0" comment = "Цепочка, 2000 вершин" />
                    <test points = "0" comment = "Цепочка развёрнутая, 2000 вершин" />
                    <test points = "0" comment = "&#xab;Зонтик&#xbb; первого типа, 2000 вершин" />
                    <test points = "0" comment = "&#xab;Зонтик&#xbb; второго типа, 2000 вершин" />
                    <test points = "0" comment = "Звезда, 2000 вершин" />
                    <test points = "0" comment = "Звезда и инвертированная звезда, 2000 вершин" />
                    <test points = "0" comment = "2-ичное и 3-ичное деревья, 2000 вершин" />
                    <test points = "0" comment = "17-ичное и 13-ичное деревья, 2000 вершин" />
                    <test points = "0" comment = "500-ичное и 500-ичное деревья, 2000 вершин" />
                    <test points = "0" comment = "2 и 3 цепочек с общим корнем, 2000 вершин" />
                    <test points = "0" comment = "2 и 4 цепочек с общим корнем, 2000 вершин" />
                    <test points = "0" comment = "17 и 13 цепочек с общим корнем, 2000 вершин" />
                    <test points = "0" comment = "170 и 130 цепочек с общим корнем, 2000 вершин" />
                    <test points = "0" comment = "500 и 500 цепочек с общим корнем, 2000 вершин" />
                </test-group>
            	<test-group
            		comment = "Подзадача 3. (1 &lt;= n &lt;= 100000)"
            		score = "group"
            		feedback = "outcome"
            		group-bonus = "50"
            	>
                    <test points = "0" comment = "Случайный тест, 10000 вершин" />
                    <test points = "0" comment = "Случайный тест, 100000 вершин" />
                    <test points = "0" comment = "Цепочка, 100000 вершин" />
                    <test points = "0" comment = "Цепочка развёрнутая, 100000 вершин" />
                    <test points = "0" comment = "&#xab;Зонтик&#xbb; первого типа, 100000 вершин" />
                    <test points = "0" comment = "&#xab;Зонтик&#xbb; второго типа, 100000 вершин" />
                    <test points = "0" comment = "Звезда, 100000 вершин" />
                    <test points = "0" comment = "Звезда и инвертированная звезда, 100000 вершин" />
                    <test points = "0" comment = "2-ичное и 3-ичное деревья, 100000 вершин" />
                    <test points = "0" comment = "2-ичное и 4-ичное деревья, 100000 вершин" />
                    <test points = "0" comment = "1703-ичное и 1333-ичное деревья, 100000 вершин" />
                    <test points = "0" comment = "1000-ичное и 1000-ичное деревья, 100000 вершин" />
                    <test points = "0" comment = "2 и 3 цепочек с общим корнем, 100000 вершин" />
                    <test points = "0" comment = "2 и 4 цепочек с общим корнем, 100000 вершин" />
                    <test points = "0" comment = "1703 и 1333 цепочек с общим корнем, 100000 вершин" />
                    <test points = "0" comment = "1000 и 1000 цепочек с общим корнем, 100000 вершин" />
                </test-group>
            </testset>

            <verifier type="%testlib">
                <binary executable-id ="x86.exe.win32" file ="check.exe" />
            </verifier>
        </script>
    </judging>
</problem>
